Bug 122719 - my XFree crash. I'm testing one RHEL AS 3 for Itanium in my old zx2000, but X server crashes.
my XFree crash. I'm testing one RHEL AS 3 for Itanium in my old zx2000, but X...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-07 08:55 EDT by Adriano Galano
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 10:04:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adriano Galano 2004-05-07 08:55:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
Hi:

I'm testing one RHEL AS 3 for Itanium in my old zx2000, but X server 
crashes. I have one NVidia Quadro4 900 XGL. Somebody have the same 
problem?

Best regards,
-Adriano
P.S, My monitor is Samtron 75e (Unsupported)



Version-Release number of selected component (if applicable):
XFree86-4.3.0-35.EL

How reproducible:
Always

Steps to Reproduce:
1.login on
2.or trying to start X
3.
    

Actual Results:  Fatal server error:
Caught Signal 11. Server aborting.

Last line before crash:
"Mouse0: ps2EnableDataReporting: succeeded"

Expected Results:  MY X!!!


Additional info:
Comment 1 Mike A. Harris 2004-09-21 01:57:34 EDT
Thanks for the report.  In order to investigate this issue, we need
you to attach the X server config file, X server log, and the
/var/log/messages files as individual uncompressed file attachments
using the bugzilla file attachment feature below.  The files should
be taken from a failed X server startup attempt.

In addition, we will need the output of "lsmod" from after attempting
to start up the X server.

We will review this issue once the above information has been
attached to the bug report, and update the status.

Thanks in advance.

Setting status to "NEEDINFO"
Comment 2 John Dennis 2004-09-21 10:30:40 EDT
Mike:

Any server segfaults on IA64 with recent packages may very well be the
exact same problem referenced in bug #127323 and is fixed in errata
RHBA-2004:155, I suggest installing a package with the
XFree86-4.1.0-elf-loader-mmap-prot-exec.patch applied.
Comment 3 Mike A. Harris 2004-09-23 09:50:06 EDT
I've looked into XFree86 4.3.0, and the stock code seems to already
contain some of what XFree86-4.1.0-elf-loader-mmap-prot-exec.patch
fixed in the 4.1.0 release.  We also apply a patch to 4.3.0 named
"XFree86-4.3.0-elfloader-linux-non-exec-stack-v2.patch" which seems
to fix the remaining issues that the previous 4.1.0 patch fixed.


* Tue May  6 2003 Bill Nottingham <notting@redhat.com> 4.3.0-10
- Updated XFree86-4.3.0-elfloader-linux-non-exec-stack-v2.patch to fix
elfloader
  to page align addresses it passes to mprotect


The above changelog entry shows this was applied to 4.3.0-10, so this
patch should be present in 4.3.0-35.EL as well.

Please upgrade to XFree86-4.3.0-68.EL, which is the currently
supported version of XFree86 on Red Hat Enterprise Linux 3, as
well as the kernel and any other outdated packages.  If the
problem persists still on a fully updated RHEL3 system, please
provide a status update.

Setting bug status back to "NEEDINFO", and awaiting status update.

Thanks in advance.
Comment 4 Mike A. Harris 2005-04-11 10:04:30 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System for Red Hat Enterprise Linux 3, which
we believe may resolve this issue.  Users who have experienced this
problem are encouraged to upgrade to run up2date and update their
system to the latest packages available, including updating the kernel
and rebooting into the new kernel.ownload

If this issue turns out to still be reproduceable in the latest
Red Hat Enterprise Linux updates, please contact Red Hat Global
Support Services at 1-888-REDHAT1 and one of our technical support
associates will assist resolving the issue.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.